%define distversion %(grep -i "release ." -o /etc/redhat-release |cut -c 9 2> /dev/null)
%define is_ML3 %(if [ "%distversion" = "3" ]; then echo 1; else echo 0; fi)
%define is_ML4 %(if [ "%distversion" = "4" ]; then echo 1; else echo 0; fi)
%define is_ML5 %(if [ "%distversion" = "5" ]; then echo 1; else echo 0; fi)
%define is_ML6 %(if [ "%distversion" = "6" ]; then echo 1; else echo 0; fi)
%define mysqlver55 %(rpm -q mysql|cut -d '-' -f2|awk -F '.' '{print $1$2}'|grep 55 > /dev/null 2>&1 && echo 1 || echo 0)
%define is_amz %(grep -i "Amazon Linux AMI" /etc/system-release > /dev/null 2>&1 && echo 1 || echo 0)

%{!?is_mysql:%define is_mysql 1}
%{!?is_pgsql:%define is_pgsql 1}

%define dist ML%{?distversion}
%if %is_amz
%define dist %(grep -o '[0-9]*' /etc/system-release-cpe | tr -d '\\n' | awk '{print substr ($0, 3)}' | sed s/^/amz/)
%endif
%if %mysqlver55 && ! %is_amz
%define mysqlstr mysql55
%endif
%{?amzn1:%define is_ML6 1}

%define _default_patch_fuzz 2
###################################################################################
# COMMON HEADER START (DO NOT DELETE)
###################################################################################
%define src_release 1
Name:           zabbix
Version:        1.8.20
Release:        %{src_release}%{?dist}%{?mysqlstr}
Summary:        Open-source monitoring solution for your IT infrastructure
Group:          Applications/Internet
License:        GPL
URL:            http://www.zabbix.com/
###################################################################################
# COMMON HEADER END (DO NOT DELETE)
###################################################################################

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        zabbix-web.conf
Source2:        zabbix-server.init
Source3:        zabbix-agent.init
Source4:        zabbix-proxy.init
Source5:        zabbix-logrotate.in
Source6:        zabbix_agentd.conf
Source7:        zabbix_server.conf
Source8:        zabbix_proxy.conf
#Source9:        ipagui.ttf
#Source10:        enduser_license.txt
#Source11:        zabbix-1.8.2-ja_jp.inc.php
#Source12:        eventlog.c
#Source13:       eventlog.h
Source14:       powered_by_miracle.png
Source15:       VLGothic-20100818.tar.bz2
#Source16:       windows-vs-proj.tar.gz
Source17:       schema_mysql_extension.sql
Source18:       zabbix.png
Source19:       zabbix_bb.png
Source20:       zabbix_od.png
#Source21:       zabbix-server.init.mysql55
Source22:       schema_postgresql_extension.sql
###################################################################################
# COMMON PATCH LIST START (DO NOT DELETE)
###################################################################################
Patch1:         zabbix-1.8-datasql.patch
Patch2:         zabbix-1.8.5-powered_by_miracle.patch
#Patch3:         zabbix-1.8-fix_to_compile_visualstudio_proj.patch
Patch4:         zabbix-1.8.4-graph_font.patch
#Patch5:         zabbix-1.8-parentservice_translate.patch
#Patch6:         zabbix-1.8-chart4_use_imagetext.patch
#Patch7:         zabbix-1.8-loginmenu_translate.patch
#Patch8:         zabbix-1.8-wrong_usergroup_permission.patch
#Patch9:         zabbix-1.8-chart5_use_imagetext.patch
#Patch10:        zabbix-1.8-discoveryconf_seconds_translate.patch
Patch11:        zabbix-1.8-itservice_popup_translate.patch
#Patch12:        zabbix-1.8-installer_require_wrong_phpversion.patch
#Patch13:        zabbix-1.8-template_import.patch
#Patch14:        zabbix-1.8-popup_media_status_translate.patch
#Patch15:        zabbix-1.8-pie_chart.patch
#Patch16:         zabbix-1.8.1-fix_str_memory_corruption.patch
Patch17:        zabbix-1.8.4-setup_from_empty_conf.patch
Patch18:        zabbix-1.8.16-support_new_windows_eventlog_system.patch
#Patch19:        zabbix-1.8.4-fix_vfsdev.patch
#Patch20:        zabbix-1.8.3-fix_strerror_from_system_undefined.patch
Patch21:        zabbix-1.8.3-fix_for_aix61.patch
Patch22:        zabbix-1.8.12-send_active_check_to_multi_server.patch
#Patch23:        zabbix-1.8.3-fix_auto_increment.patch
#Patch24:        zabbix-1.8.3-fixed_host_profiles_export.patch
#Patch25:        zabbix-1.8.3-fix_ja_translation.patch
#Patch26:        zabbix-1.8.3-fixed_not_found_style_files.patch
Patch27:        zabbix-1.8.7-add_poller_interval_option.patch
Patch28:        zabbix-1.8.9-add_event_filter.patch
Patch29:        zabbix-1.8.13-windows_build.patch
Patch30:        zabbix-1.8.4-fix_map_element_dose_not_work.patch
#Patch31:        zabbix-1.8.4-fix_map_icon_created_twice.patch
#Patch32:        zabbix-1.8.4-fix_importing_map_icon_label.patch
#Patch33:        zabbix-1.8.4-fix_disabled_items_triggers.patch
Patch34:        zabbix-1.8.4-fix_not_found_style_files.patch
Patch35:        zabbix-1.8.17-reload_config.patch
Patch36:        zabbix-1.8.5-fix_select_dns_nameserver.patch
#Patch37:        zabbix-1.8.4-fix_template_unlink.patch
Patch38:        zabbix-1.8.5-fix_item_not_supported.patch
Patch39:        zabbix-1.8.15-fix_action_mismatch_release.patch
Patch40:        zabbix-1.8.9-show_history_in_event.patch
#Patch41:        zabbix-1.8.7-fix_server_crash.patch
Patch42:        zabbix-1.8.7-fix_cflags.patch
Patch43:        zabbix-1.8.7-fix_odbc_structure.patch
Patch44:        zabbix-1.8.12-fix_max_diskdevies.patch
Patch45:        zabbix-1.8.12-fix_default_time_period_value.patch
Patch46:        zabbix-1.8.14-solaris_build.patch
Patch47:        zabbix-1.8.17-fix_item_value_on_frontend.patch
Patch48:        zabbix-1.8.15-fix_sort_issue.patch
#Patch49:        zabbix-1.8.15-fit_to_RFC2047.patch
Patch50:        zabbix-1.8.17-avoid_proxy_stopping.patch
#Patch51:        zabbix-1.8.15-fix_evaluate_STR_LOGEVENTID_memory_leak.patch
Patch52:        zabbix-1.8.15-evalfunc_nodata_for_lastclock_zero.patch
Patch53:        zabbix-1.8.15-limit_alert_number.patch 
Patch54:        zabbix-1.8.17-hpux_compat.patch
Patch55:        zabbix-1.8.17-fix_win2000_system_run.patch
Patch56:        zabbix-1.8.17-fix_snmp_source_ip_not_working.patch
Patch57:        zabbix-1.8.17-fix_some_error_log.patch
Patch58:        zabbix-1.8.17-force_redirect_std.patch
Patch59:        zabbix-1.8.17-fix_possibility_of_data_lost.patch
#Patch60:        zabbix-1.8.17-proxy_transaction_num_check.patch
#Patch61:        zabbix-1.8.17-add_opt_proxy_get_data_retries.patch
Patch62:        zabbix-1.8.17-fix_snmp_timeout.patch
Patch63:        zabbix-1.8.17-add_eventlog6_key.patch
Patch64:        zabbix-1.8.17-fix_eventlog_message_logic.patch
Patch65:        zabbix-1.8.17-ML_copyright_replacement.patch
Patch66:        zabbix-1.8.17-fix_processing_for_long_telnet_command.patch
Patch67:        zabbix-1.8.17-fix_updating_data_in_proxy_ZBX6929.patch
#Patch68:        zabbix-1.8.17-fix_sql_injection_ZBX7091.patch
#Patch69:        zabbix-1.8.19-fix_api_user_spoofing_ZBX7703.patch
Patch70:        zabbix-1.8.19-add_eventlog_ext.patch
Patch71:        zabbix-1.8.20-redirect_std_non_exit.patch
Patch72:        zabbix-1.8.20-add_opt_proxy_get_data_retries.patch
###################################################################################
# COMMON PATCH LIST END (DO NOT DELETE)
###################################################################################

Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %is_ML5 || %is_ML6
%if %is_mysql
BuildRequires:   mysql-devel
%endif
%if %is_pgsql
BuildRequires:   postgresql-devel
%endif
BuildRequires:   net-snmp-devel
BuildRequires:   openldap-devel
BuildRequires:   gnutls-devel
BuildRequires:   iksemel-devel
BuildRequires:   unixODBC-devel
BuildRequires:   libssh2-devel >= 1.0.0

%if %is_ML5
BuildRequires:   curl-devel >= 7.13.1
BuildRequires:   OpenIPMI-devel >= 2.0.0
%endif
%if %is_ML6
BuildRequires:   libcurl-devel >= 7.13.1
BuildRequires:   OpenIPMI-devel >= 2.0.0
%endif
%endif

Requires:        logrotate
Requires(pre):   /usr/sbin/useradd

%description
ZABBIX is software that monitors numerous parameters of a
network and the health and integrity of servers. ZABBIX
uses a flexible notification mechanism that allows users
to configure e-mail based alerts for virtually any event.
This allows a fast reaction to server problems. ZABBIX
offers excellent reporting and data visualisation features
based on the stored data. This makes ZABBIX ideal for
capacity planning.

ZABBIX supports both polling and trapping. All ZABBIX
reports and statistics, as well as configuration
parameters are accessed through a web-based front end. A
web-based front end ensures that the status of your network
and the health of your servers can be assessed from any
location. Properly configured, ZABBIX can play an important
role in monitoring IT infrastructure. This is equally true
for small organisations with a few servers and for large
companies with a multitude of servers.

%if %is_ML5 || %is_ML6
%package server
Summary:         Zabbix server common files
Group:           Applications/Internet
Requires:	 zabbix = %{version}-%{release}
Requires:        zabbix-server-implementation = %{version}-%{release}
Requires:        fping
Requires:        iksemel
Requires:	 net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
%if %is_ML5
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
%endif
%if %is_ML6
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
%endif
Conflicts:       zabbix-proxy
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description server
Zabbix server common files

%if %is_mysql
%package server-mysql
Summary:         Zabbix server compiled to use MySQL
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:	 zabbix-server = %{version}-%{release}
Requires:        mysql
Provides:        zabbix-server-implementation = %{version}-%{release}
Obsoletes:       zabbix <= 1.5.3-0.1
Conflicts:       zabbix-server-pgsql

%description server-mysql
Zabbix server compiled to use MySQL
%endif

%if %is_pgsql
%package server-pgsql
Summary:         Zabbix server compiled to use PostgresSQL
Group:           Applications/Internet
Requires:        zabbix = %{version}-%{release}
Requires:	 zabbix-server = %{version}-%{release}
Requires:        postgresql
Provides:        zabbix-server-implementation = %{version}-%{release}
Conflicts:       zabbix-server-mysql

%description server-pgsql
Zabbix server compiled to use PostgresSQL
%endif
%endif

%package agent
Summary:         Zabbix Agent
Group:           Applications/Internet
Requires:	 zabbix = %{version}-%{release}
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service

%description agent
The Zabbix client agent, to be installed on monitored systems.

%if %is_ML5 || %is_ML6
%package proxy
Summary:         Zabbix Proxy
Group:           Applications/Internet
Requires:	 zabbix = %{version}-%{release}
Requires:        zabbix-proxy-implementation = %{version}-%{release}
Requires(post):  /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/service
Requires:        fping
Requires:	 net-snmp
Requires:        unixODBC
Requires:        libssh2 >= 1.0.0
%if %is_ML5
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
%endif
%if %is_ML6
Requires:        curl >= 7.13.1
Requires:        OpenIPMI-libs >= 2.0.14
%endif
Conflicts:       zabbix-web
Conflicts:       zabbix-server

%description proxy
The Zabbix proxy

%if %is_mysql
%package proxy-mysql
Summary:         Zabbix proxy compiled to use MySQL
Group:           Applications/Internet
Requires:	 zabbix-proxy = %{version}-%{release}
Requires:        mysql
Provides:        zabbix-proxy-implementation = %{version}-%{release}
Conflicts:       zabbix-proxy-pgsql

%description proxy-mysql
The Zabbix proxy compiled to use MySQL
%endif

%if %is_pgsql
%package proxy-pgsql
Summary:         Zabbix proxy compiled to use PostgreSQL
Group:           Applications/Internet
Requires:	 zabbix-proxy = %{version}-%{release}
Requires:        postgresql
Provides:        zabbix-proxy-implementation = %{version}-%{release}
Conflicts:       zabbix-proxy-mysql

%description proxy-pgsql
The Zabbix proxy compiled to use PostgreSQL
%endif

%package web
Summary:         Zabbix Web Frontend
Group:           Applications/Internet
Requires:        httpd
Requires:        php >= 5.0
Requires:	 php-gd
Requires:	 php-mbstring
Requires:        php-xml
Requires:        zabbix = %{version}-%{release}
Requires:	 zabbix-web-database = %{version}-%{release}
%if %is_ML5
Requires:	 php-bcmath
%endif
%if %is_ML6
Requires:	 php-bcmath
%endif
Conflicts:       zabbix-proxy

%description web
The php frontend to display the zabbix web interface.

%if %is_mysql
%package web-mysql
Summary:         Zabbix web frontend for MySQL
Group:           Applications/Internet
Requires:	 zabbix-web = %{version}-%{release}
Requires:	 php-mysql
Provides:	 zabbix-web-database = %{version}-%{release}
Obsoletes:	 zabbix-web <= 1.5.3-0.1
Conflicts:       zabbix-web-pgsql

%description web-mysql
Zabbix web frontend for MySQL
%endif

%if %is_pgsql
%package web-pgsql
Summary:         Zabbix web frontend for PostgreSQL
Group:           Applications/Internet
Requires:	 zabbix-web = %{version}-%{release}
Requires:	 php-pgsql
Provides:	 zabbix-web-database = %{version}-%{release}
Conflicts:       zabbix-web-mysql

%description web-pgsql
Zabbix web frontend for PostgreSQL
%endif
%endif

###################################################################################
# COMMON PATCHING START (DO NOT DELETE)
###################################################################################
%prep
%setup0 -q -a 15
%patch1 -p1 -b .datasql.orig
%patch2 -p1 -b .powered_by_miracle.orig
#%patch3 -p1 -b .fix_to_compile_visualstudio_proj.orig
%patch4 -p1 -b .graph_font.orig
#%patch5 -p1 -b .parentservice_translate.orig
#%patch6 -p1 -b .chart4_use_imagestring.orig
#%patch7 -p1 -b .loginmenu_translate.orig
#%patch8 -p1 -b .wrong_usergroup_permission.orig
#%patch9 -p1 -b .chart5_use_imagetext.orig
#%patch10 -p1 -b .discoveryconf_seconds_translate.orig
%patch11 -p1 -b .itservice_popup_translate.orig
#%patch12 -p1 -b .installer_require_wrong_phpversion.orig
#%patch13 -p1 -b .template_import.orig
#%patch14 -p1 -b .popup_media_status_translate.orig
#%patch15 -p1 -b .pie_chart.orig
#%patch16 -p1 -b .fix_str_memory_corruption.orig
%patch17 -p1 -b .setup_from_empty_conf.orig
%patch18 -p1 -b .support_new_windows_eventlog_system.orig
#%patch19 -p1 -b .fix_vfsdev.orig
#%patch20 -p1 -b .fix_strerror_from_system_undefined.orig
%patch21 -p1 -b .fix_for_aix61.orig
%patch22 -p1 -b .send_active_check_to_multi_server.orig
#%patch23 -p1 -b .fix_auto_increment.orig
#%patch24 -p1 -b .fixed_host_profiles_export.orig
#%patch25 -p1 -b .fix_ja_translation.orig
#%patch26 -p1 -b .fixed_not_found_style_files.orig
%patch27 -p1 -b .add_poller_interval_option.orig
%patch28 -p1 -b .add_event_filter.orig
%patch29 -p1 -b .windows_build.orig
%patch30 -p1 -b .fix_map_element_dose_not_work.orig
#%patch31 -p1 -b .fix_map_icon_created_twice.orig
#%patch32 -p1 -b .fix_importing_map_icon_label.orig
#%patch33 -p1 -b .fix_disabled_items_triggers.orig
%patch34 -p1 -b .fix_not_found_style_files.orig
%patch35 -p1 -b .reload_config.orig
%patch36 -p1 -b .fix_select_dns_nameserver.orig
#%patch37 -p1 -b .fix_template_unlink.orig
%patch38 -p1 -b .fix_item_not_supported.orig
%patch39 -p1 -b .fix_action_mismatch_release.orig
%patch40 -p1 -b .show_history_in_event.orig
#%patch41 -p1 -b .fix_server_crash.orig
%patch42 -p1 -b .fix_cflags.orig
%patch43 -p1 -b .fix_odbc_structure.orig
%patch44 -p1 -b .fix_max_diskdevies.orig
%patch45 -p1 -b .fix_default_time_period_value.orig
%patch46 -p1 -b .solaris_build.orig
%patch47 -p1 -b .fix_item_value_on_frontend.orig
%patch48 -p1 -b .fix_sort_issue.orig
#%patch49 -p0 -b .fit_to_RFC2047.orig
%patch50 -p1 -b .avoid_proxy_stopping.orig
#%patch51 -p1 -b .fix_evaluate_STR_LOGEVENTID_memory_leak.orig
%patch52 -p1 -b .evalfunc_nodata_for_lastclock_zero.orig
%patch53 -p1 -b .limit_alert_number.orig
%patch54 -p1 -b .hpux_compat.orig
%patch55 -p1 -b .fix_win2000_system_run.orig
%patch56 -p1 -b .fix_snmp_source_ip_not_working.orig
%patch57 -p1 -b .fix_some_error_log.orig
%patch58 -p1 -b .force_redirect_std.orig
%patch59 -p1 -b .fix_possibility_of_data_lost.orig
#%patch60 -p1 -b .proxy_transaction_num_check.orig
#%patch61 -p1 -b .add_opt_proxy_get_data_retries.orig
%patch62 -p1 -b .fix_snmp_timeout.orig
%patch63 -p1 -b .add_eventlog6_key.orig
%patch64 -p1 -b .fix_eventlog_message_logic.orig
%patch65 -p1 -b .ML_copyright_replacement.orig
%patch66 -p1 -b .fix_processing_for_long_telnet_command.orig
%patch67 -p1 -b .fix_updating_data_in_proxy_ZBX6929.orig
#%patch68 -p1 -b .fix_sql_injection_ZBX7091.orig
#%patch69 -p1 -b .fix_api_user_spoofing_ZBX7703.orig
%patch70 -p1 -b .add_eventlog_ext.orig
%patch71 -p1 -b .redirect_std_non_exit.orig
%patch72 -p1 -b .add_opt_proxy_get_data_retries.orig
touch -t 200001010900 configure.in

###################################################################################
# COMMON PATCHING END (DO NOT DELETE)
###################################################################################

rm frontends/php/fonts/DejaVuSans.ttf
cp VLGothic/* frontends/php/fonts/
cp %{SOURCE14} frontends/php/images/general/powered_by_miracle.png
cp %{SOURCE17} create/schema/
cp %{SOURCE22} create/schema/
cp %{SOURCE18} frontends/php/images/general/zabbix.png
cp %{SOURCE19} frontends/php/images/general/zabbix_bb.png
cp %{SOURCE20} frontends/php/images/general/zabbix_od.png

chmod -R a+rX .

# fix up some lib64 issues
%{__perl} -pi.orig -e 's|_LIBDIR=/usr/lib|_LIBDIR=%{_libdir}|g' \
    configure

# replace original version string
%{__perl} -p -i -e \
    "s,^	define\('ZABBIX_VERSION'\,		'%{version}',	define\('ZABBIX_VERSION'\,		'%{version}-%{src_release}'," \
    frontends/php/include/defines.inc.php
%{__grep} ^	define\(\'ZABBIX_VERSION\' frontends/php/include/defines.inc.php | %{__grep} "%{version}-%{src_release}" > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%{__perl} -p -i -e \
    "s,^#define	ZABBIX_VERSION		\"%{version}\",#define	ZABBIX_VERSION		\"%{version}-%{src_release}\"," \
    include/common.h
%{__grep} "^#define	ZABBIX_VERSION		\"%{version}-%{src_release}\"" include/common.h > /dev/null
if [ $? -eq 1 ]; then
    exit 1
fi

%build

%if %is_ML3 || %is_ML4
common_flags=" 
    --enable-agent \
    --enable-ipv6
"

%configure $common_flags
make %{?_smp_mflags}

%else
common_flags=" 
    --enable-server \
    --enable-agent \
    --enable-proxy \
    --enable-ipv6 \
    --with-net-snmp \
    --with-ldap \
    --with-unixodbc \
    --with-ssh2 \
  %if %is_ML5
    --with-openipmi \
    --with-libcurl \
  %endif
  %if %is_ML6
    --with-openipmi \
    --with-libcurl \
  %endif
    --with-jabber
"

%if %is_mysql
%configure $common_flags --with-mysql
make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_mysql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_mysql
%endif

%if %is_pgsql
%configure $common_flags --with-pgsql
make %{?_smp_mflags}
mv src/zabbix_server/zabbix_server src/zabbix_server/zabbix_server_pgsql
mv src/zabbix_proxy/zabbix_proxy src/zabbix_proxy/zabbix_proxy_pgsql
%endif

touch src/zabbix_server/zabbix_server
touch src/zabbix_proxy/zabbix_proxy
%endif

%install
rm -rf $RPM_BUILD_ROOT
# set up some required directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/alertscripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/externalscripts
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_agentd.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}

%if %is_ML5 || %is_ML6
# php frontend
find ./frontends/php -name '*.orig'|xargs rm -f
find ./create -name '*.orig'|xargs rm -f
cp -a frontends/php $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/maintenance.inc.php \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
ln -s ../../../..%{_sysconfdir}/%{name}/maintenance.inc.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/maintenance.inc.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix.conf.php
ln -s ../../../..%{_sysconfdir}/%{name}/zabbix.conf.php \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/conf/zabbix.conf.php
# kill off .htaccess files, options set in SOURCE1
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/include/.htaccess
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/include/classes/.htaccess
# drop config files in place
#install -m 0644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/zabbix.conf
cat %{SOURCE1} | sed 's/^/#/' > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -m 0644 -p misc/conf/zabbix_agent.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 0644 -p %{SOURCE6} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_agentd.conf
%if %is_ML5 || %is_ML6
install -m 0644 -p %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_server.conf
install -m 0644 -p %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/zabbix_proxy.conf
%endif
# log rotation
cat %{SOURCE5} | sed -e 's|COMPONENT|agentd|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-agent
%if %is_ML5 || %is_ML6
cat %{SOURCE5} | sed -e 's|COMPONENT|server|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-server
cat %{SOURCE5} | sed -e 's|COMPONENT|proxy|g' > \
     $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/zabbix-proxy
%endif
# init scripts
install -m 0755 -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-agent

%if %is_ML5 || %is_ML6
install -m 0755 -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-server
install -m 0755 -p %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/zabbix-proxy
%endif

# set up config dir

# install
make DESTDIR=$RPM_BUILD_ROOT install
%if %is_ML5 || %is_ML6
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_server
install -m 0755 -p src/zabbix_server/zabbix_server_* $RPM_BUILD_ROOT%{_sbindir}/
rm $RPM_BUILD_ROOT%{_sbindir}/zabbix_proxy
install -m 0755 -p src/zabbix_proxy/zabbix_proxy_* $RPM_BUILD_ROOT%{_sbindir}/
%endif

# nuke static libs and empty oracle upgrade sql
rm -rf $RPM_BUILD_ROOT%{_libdir}/libzbx*.a
# nuke extraneous sql files
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/create

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "zabbix" user
/usr/sbin/useradd -c "Zabbix Monitoring System" \
        -s /sbin/nologin -r -d %{_localstatedir}/lib/%{name} -m zabbix 2> /dev/null || :

%if %is_ML5 || %is_ML6
%post server
/sbin/chkconfig --add zabbix-server || :

%if %is_mysql
%post server-mysql
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_server ]; then
	cd %{_sbindir}
	ln -s zabbix_server_mysql zabbix_server || :
    fi
fi
%endif

%if %is_pgsql
%post server-pgsql
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_server ]; then
	cd %{_sbindir}
	ln -s zabbix_server_pgsql zabbix_server || :
    fi
fi
%endif

%post proxy
/sbin/chkconfig --add zabbix-proxy || :

%if %is_mysql
%post proxy-mysql
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_proxy ]; then
	cd %{_sbindir}
	ln -s zabbix_proxy_mysql zabbix_proxy || :
    fi
fi
%endif

%if %is_pgsql
%post proxy-pgsql
if [ $1 -eq 1 ]; then
    if [ ! -f %{_sbindir}/zabbix_proxy ]; then
	cd %{_sbindir}
	ln -s zabbix_proxy_pgsql zabbix_proxy || :
    fi
fi
%endif
%endif

%post agent
/sbin/chkconfig --add zabbix-agent || :

%if %is_ML5 || %is_ML6
%preun server
if [ $1 -eq 0 ]
then
  /sbin/service zabbix-server stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-server
fi

%if %is_mysql
%preun server-mysql
if [ $1 -eq 0 ]; then
    if [ -L %{_sbindir}/zabbix_server ]; then
	rm -f %{_sbindir}/zabbix_server || :
    fi
fi
%endif

%if %is_pgsql
%preun server-pgsql
if [ $1 -eq 0 ]; then
    if [ -L %{_sbindir}/zabbix_server ]; then
	rm -f %{_sbindir}/zabbix_server || :
    fi
fi
%endif

%preun proxy
if [ $1 -eq 0 ]
then
  /sbin/service zabbix-proxy stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-proxy
fi

%if %is_mysql
%preun proxy-mysql 
if [ $1 -eq 0 ]; then
    if [ -L %{_sbindir}/zabbix_proxy ]; then
	rm -f %{_sbindir}/zabbix_proxy || :
    fi
fi
%endif

%if %is_pgsql
%preun proxy-pgsql
if [ $1 -eq 0 ]; then
    if [ -L %{_sbindir}/zabbix_proxy ]; then
	rm -f %{_sbindir}/zabbix_proxy || :
    fi
fi
%endif
%endif

%preun agent
if [ $1 -eq 0 ]
then
  /sbin/service zabbix-agent stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del zabbix-agent
fi

%if %is_ML5 || %is_ML6
%postun server
if [ $1 -gt 1 ]; then
  /sbin/service zabbix-server condrestart >/dev/null 2>&1 || :
fi

%postun proxy
if [ $1 -gt 1 ]; then
  /sbin/service zabbix-proxy condrestart >/dev/null 2>&1 || :
fi
%endif

%postun agent
if [ $1 -gt 1 ]; then
  /sbin/service zabbix-agent condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/log/zabbix
%attr(0755,zabbix,zabbix) %dir %{_localstatedir}/run/zabbix

%files agent
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc misc/conf/zabbix_agentd/*
%{_mandir}/man8/zabbix_agentd.8.*
%{_mandir}/man1/zabbix_get.1.*
%{_mandir}/man1/zabbix_sender.1.*
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agent.conf
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_agentd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-agent
%dir %{_sysconfdir}/zabbix/zabbix_agentd.d
%{_sysconfdir}/init.d/zabbix-agent
%{_sbindir}/zabbix_agent
%{_sbindir}/zabbix_agentd
%{_bindir}/zabbix_sender
%{_bindir}/zabbix_get

%if %is_ML5 || %is_ML6
%files server
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches create/data create/schema
%{_mandir}/man8/zabbix_server.8.*
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_server.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-server
%dir %{_sysconfdir}/zabbix/alertscripts
%dir %{_sysconfdir}/zabbix/externalscripts
%{_sysconfdir}/init.d/zabbix-server

%if %is_mysql
%files server-mysql
%doc AUTHORS ChangeLog COPYING NEWS README
%defattr(-,root,root,-)
%{_sbindir}/zabbix_server_mysql
%endif

%if %is_pgsql
%files server-pgsql
%doc AUTHORS ChangeLog COPYING NEWS README
%defattr(-,root,root,-)
%{_sbindir}/zabbix_server_pgsql
%endif

%files proxy
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%doc upgrades/dbpatches create/data create/schema
%{_mandir}/man8/zabbix_proxy.8.*
%config(noreplace) %attr(640,root,zabbix) %{_sysconfdir}/zabbix/zabbix_proxy.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/zabbix-proxy
%{_sysconfdir}/init.d/zabbix-proxy

%if %is_mysql
%files proxy-mysql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sbindir}/zabbix_proxy_mysql
%endif

%if %is_pgsql
%files proxy-pgsql
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_sbindir}/zabbix_proxy_pgsql
%endif

%files web
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %attr(600,apache,apache) %{_sysconfdir}/zabbix/zabbix.conf.php
%config(noreplace) %{_sysconfdir}/zabbix/maintenance.inc.php
%config(noreplace) %{_sysconfdir}/httpd/conf.d/zabbix.conf
%{_datadir}/zabbix

%if %is_mysql
%files web-mysql
%defattr(-,root,root,-)
%endif

%if %is_pgsql
%files web-pgsql
%defattr(-,root,root,-)
%endif
%endif

###################################################################################
# COMMON CHANGELOG START (DO NOT DELETE)
###################################################################################
%changelog
* Thu Jun 5 2014 Sang Bui <sbuithanh@miraclelinux.com> - 1.8.20-1%{?dist}
- Update base zabbix version to 1.8.20
- Remove patch because the latest zabbix has already fixed (patch69)[RCN:9922]
- Add patch to fix zabbix_server, zabbix_agentd process can stop in log rotation (patch71)[RCN:10123]
- Update patch 61 to zabbix-1.8.20-add_opt_proxy_get_data_retries.patch for fixing to prevent infinite loop in zbx proxy (patch72)[RCN:10140]
- Update patch 71 for fixing Solaris compilation failure (patch71)[RCN:10140]
- Add "touch -t 200001010900 configure.in" command for updating timestamp of "configure.in" file [RCN:10123]

* Tue Mar 18 2014 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.19-2%{?dist}
- Fix license in windows binary [RCN:9592]
- Fix release version in spec [RCN:9955]
- Add "eventlog_ext[]" to extensional eventlog matching [RCN:9652]

* Tue Jan 28 2014 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.19-1%{?dist}
- Update base zabbix version to 1.8.19
- Add definition for build postgresql or mysql on spec file [RCN:9666].
- Add new kill process function that check the process during delay time on zabbix-server.init [RCN:9661].
- Fix eventlog fallback logic conditional for making message (Patch64)[RCN:9697].
- Add amazon ami version number extractor on spec file for adding it in file name.
- Fix API User Spoofing Vulnerability (patch69)[RCN:9922].

* Tue Aug 20 2013 Takanori Suzuki <takanori.suzuki@miraclelinux.com> - 1.8.17-1%{?dist}
- Update base zabbix version to 1.8.17
- Update zabbix-1.8.17-reload_config.patch for fitting 1.8.17 (Patch35)[RCN:9300][RCN:9302]
- Add backport patch zabbix-1.8.17-fix_win2000_system_run.patch to fix system.run fail in windows 2000 (ZBX-6140)(Patch55)[RCN:8869]
- Update zabbix.spec to add MIRACLE ZBX release number to "-V" option and php definition [RCN:9257]
- Update zabbix-1.8.17-fix_item_value_on_frontend.patch for fixing error message in dashboard (Patch47)[RCN:8846]
- Add backport patch zabbix-1.8.17-fix_snmp_source_ip_not_working.patch to fix souce snmp IP not working in some case (ZBX-3379)(Patch56)[RCN:8836]
- Add zabbix-1.8.17-fix_some_error_log.patch for changing some error message easy to understand (Patch57)[RCN:8694]
- Add zabbix-1.8.17-force_redirect_std.patch for fix possibility of alerter and poller output log to old log file (Patch58)[RCN:9359]
- Add backport patch zabbix-1.8.17-fix_possibility_of_data_lost.patch to fix possibility of data lost in server and proxy (ZBX-6526)(Patch59)[RCN:9354]
- Add zabbix-1.8.17-proxy_transaction_num_check.patch for fix possibility of not sending some data for Proxy Data Sender (Patch60)[RCN:8646]
- Add zabbix-1.8.17-add_opt_proxy_get_data_retries.patch for add option for proxy getting data retries (Patch61)[RCN:8646]
- Update zabbix-1.8.17-avoid_proxy_stopping.patch for adding proxy waiting second option (Patch50)[RCN:8645]
- Add backport patch zabbix-1.8.17-fix_snmp_timeout.patch to fix timeout setting not affecting to SNMP timeout in some situation (ZBX-4393)(Patch62)[RCN:8510]
- Add patch zabbix-1.8.17-add_eventlog6_key.patch to support eventlog6[] key using always eventing 6.0 API in after Windows 2008 (ZBX-2008)(Patch63)[RCN:7086]
- Add patch zabbix-1.8.17-fix_eventlog_message_logic.patch to fix some eventlog show incorrect message in eventing 5.0 API (Patch64)[RCN:8373]
- Add patch zabbix-1.8.17-ML_copyright_replacement.patch to change copyright (Patch65)[RCN:8720]
- Add patch zabbix-1.8.17-fix_processing_for_long_telnet_command.patch to fix incorrect processing for reading long telnet command (Patch66)[RCN:8657]
- Add backporting zabbix-1.8.17-fix_updating_data_in_proxy_ZBX6929.patch for fix updating lastlogsize and mtime in proxy (Patch67)[RCN:9463]
- Fix lockfile name problem in init script same as init script name [RCN:9526]
- Add backporting patch zabbix-1.8.17-fix_sql_injection_ZBX7091.patch for fix sql injection (ZBX-7091)(Patch68)[RCN:9498]
- Fix zabbix-1.8.17-fix_sql_injection_ZBX7091.patch about profile data storing like login failure, wrong filter setting and so on. (ZBX-7156)(Patch68)[RCN:9498]
- Add schema_postgresql_extension.sql for fixing action mismatch in postgresql environment [RCN:9496]

* Fri Jun 07 2013 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.16-3%{?dist}
- Updated spec file for mysql55 partitioning.

* Tue Apr 9 2013 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.16-2%{?dist}
- Update fix action mismatch patch to fix other remained mismatched macros (Patch39)[RCN:8658]
- Updated spec file for compatibilty with Amazon EC2.

* Fri Jan 18 2013 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.16-1%{?dist}
- update to 1.8.16
- Add limit the alert number per a query (Patch53)
- Add hpux compatibility (Patch54)
- Add if lastclock is zero avoid evaluate nodata (Patch52) (ZBX-6134)
- Update support_new_windows_eventlog_system patch to output warning message to zabbix_agentd.log when it fail to generate eventlog message (Patch18)

* Mon Dec 03 2012 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.15-4%{?dist}
- Avoid stopping of the Zabbix proxy (Patch50)
- Fit to RFC2047 (patch49)
- Fix "evaluate_STR()" and "evaluate_LOGEVENTID()" memory leak (patch51)
- Fixed zabbix.spec file for use different Zabbix server init.d script with mysqlver55

* Thu Oct 25 2012 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.15-3%{?dist}
- Replaced logo 

* Thu Sep 14 2012 Alice Ferrazzi <alice.ferrazzi@miraclelinux.com> - 1.8.15-2%{?dist}
- Fix action mismatch patch to fit Miracle Linux Zabbix Appliance DB table (Patch39)

* Thu Aug 16 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.15-1%{?dist}
- Update to 1.8.15
- Fix item value on frontend (Patch47)
- Fix action sort issue (Patch48)

* Thu Jun 28 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.14-1%{?dist}
- Update to 1.8.14
- Fix solaris build (Patch46)

* Tue May 29 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.13-1%{?dist}
- Update to 1.8.13

* Tue May 8 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.12-1%{?dist}
- Update to 1.8.12
- Fix MAX_DISKDEVICES (ZBXNEXT-801) (Patch44)
- Fix default time period (ZBX-2885) (Patch45)

* Wed Mar 21 2012 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.11-1%{?dist}
- Update to 1.8.11

* Mon Dec 5 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.9-1%{?dist}
- Update to 1.8.9

* Mon Nov 7 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-2%{?dist}
- Fix CFLAGS option (Patch42)
- Fix ODBC structure (Patch43)

* Wed Sep 28 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.7-1%{?dist}
- Update to 1.8.7
- Add MIRACLE LINUX V6.0 and Red Hat Enterprise Linux 6 support
- Fix server crash (ZBX-4099) (Patch41)

* Thu Aug 26 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-2%{?dist}
- Fix show history in event (Patch40)

* Thu Jul 21 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.5-1%{?dist}
- Update to 1.8.5
- Fix action mismatch (Patch39)

* Fri Apr 22 2011 Fumiyuki Tsukishiro <fumiyuki.tsukishiro@miraclelinux.com> - 1.8.4-2%{?dist}
- Fix map element dose not work (ZBX-3552) (Patch30)
- Fix map icon created twice (ZBX-3626) (Patch31)
- Fix importing map icon label (ZBX-3682) (Patch32)
- Fix disabled item's triggers are also displayed in 'status of triggers' (ZBX-3576) (Patch33)
- Fix not found style files (ZBX-3649) (Patch34)
- Runtime control of zabbix daemons (ZBXNEXT-416) (Patch35)
- Fix net.tcp.dns to enable selecting nameserver (Patch36)
- Fix template unlink (Patch37)
- Fix item not supported (Patch38)

* Fri Feb 4 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.4-1%{?dist}
- Update to 1.8.4
- Add windows build script (Patch29)

* Tue Feb 1 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-6%{?dist}
- Add MIRACLE LINUX V3.0 and Red Hat Enterprise Linux 3 support

* Mon Jan 24 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-5%{?dist}
- Fix debug message of poller interval option (Patch27)

* Fri Jan 14 2011 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-4%{?dist}
- Add poller interval option (Patch27)
- Add explanation of poller interval option in server and proxy config file
- Add event filter (Patch28)
- Change defines.inc.php as non config file

* Wed Dec 29 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-3%{?dist}
- Change MAX_DISKDEVICES to 128 and refactor (Patch19)
- Enable to send active check to multi server (Patch22)
- Change Patch18 and VisualStudio project files to fit Patch22 (Patch18)
- Fixed possible stop to send data from proxy after shutdown of MySQL server (ZBX-3085) (Patch23)
- Fixed host profiles export (ZBX-2888) (Patch24)
- Fixed Japanese translation (Patch25)
- Fixed not found style files (ZBX-2937) (Patch26)
- Add initial db files for zabbix-proxy package

* Wed Sep 22 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-2%{?dist}
- Fix compile error in AIX 6.1 (Patch21)

* Wed Aug 19 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.8.3-1%{?dist}
- Update to 1.8.3
- Remove patches for 1.6
- Add patches for 1.8

* Wed Aug 18 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-7%{?dist}
- Change code not to use seteuid, setegid under HP-UX for HP-UX Version 2 compatibility (Patch48)

* Tue Jul 27 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-6%{?dist}
- Add support for new windows eventlog system backported from ZBX-2008 (Patch46)
- Fix displaying too big eventid in Windows (Patch46)

* Tue Jul 13 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-5%{?dist}
- revert Patch43
- revert ZBX-2062 from original source (Patch47)

* Thu Jul 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-4%{?dist}
- Add optional feature to show eventid in eventlog (Patch45)

* Mon Jun 28 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-3%{?dist}
- Fix not sending alert when receive error log or trap same time (Patch43)
- Add optional feature to show history log in event screen (Patch44)

* Mon Jun 7 2010 Kodai Terashima <terashima@miraclelinux.com> - 1.6.9-2%{?dist}
- Fix log is not collected when long log item key using multibyte string (Patch39)
- Fix enable/disable item action does not work in application screen (Patch40)
- Fix graph view when select over 372 days (Patch41)
- Fix vfs.dev.read vfs.dev.write to get values for partitions in old 2.6 kernel (Patch42)
- Fix vfs.dev.read vfs.dev.write to get sps, ops for partitions (Patch42)
- Fix vfs.dev.read vfs.dev.write to get values for LVM devices (Patch42)

* Thu Apr 1 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.9-1%{?dist}
- Update to 1.6.9
- Fix event time setting logic (Patch37)
- Add more event filter option (Patch38)

* Fri Mar 12 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-5%{?dist}
- Fix counting string function in trigger (Patch32)
- Fix label text is not in the right place on map (update Patch9)
- Fix color selection frame is not appeared (Patch34)
- Fix color configuration is not upgraded correctly from 1.4 to 1.6  when use Japanese (Patch35)
- Fix map icon label is not used map default label location setting (Patch33)
- Add extra encoding mode to process lf char code in windows. Merge diff with Patch31 (Patch36)

* Tue Jan 26 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-4%{?dist}
- Fixed stopping log monitoring every 2 minutes when using windows agent with encoding option (Patch31)

* Fri Jan 8 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-3%{?dist}
- disable with-openipmi option when not ML5
- add BuildRequires OpenIPMI-devel

* Thu Jan 7 2010 Takanori Suzuki <tsuzuki@miraclelinux.com> 1.6.8-2%{?dist}
- refactored and added multibyte charactor conversion in windows agent(Patch31)
- fixed some typo in spec file and file names

* Wed Jan 6 2010 Kodai Terashima <terashima@miraclelinux.com> 1.6.8-1%{?dist}
- Update graph_description.patch to localize available chart and pie chart (Patch9)
- Merge frontend.patch into graph_description.patch (Patch4, Patch9)
- Add patch to fix problem doesn't show screen (Patch29)
- Add patch to fix show active check data on Latest Data screen (Patch30)
- enable with-openipmi option in configure script
- Update Japanese translation (Source7)

* Mon Nov 16 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.7-2%{?dist}
- Update to 1.6.7
- remove already included patches (Patch10,15,17)

* Fri Nov  6 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.6-1%{?dist}
- Update to 1.6.6
- remove already included patches (Patch10,15,17)
- add logrotated file support (Patch23)
- fix processing of logs and eventlogs which become empty only on the agent side (Patch24)
- fix processing of proc_info[] function (Patch25)
- fix VisualStudio project file (Patch26)
- remove broken character which affects in compiling with VisualStudio (Patch27)
- fix package build environment and recompile packages to fix system.cpu.util function
- fix copyright-year in japanese (source7)
- remove sqlite build process from spec file

* Wed Sep 16 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-6%{?dist}
- fix FormatMessage crash in case of aInsertStrs having more than 64 elements (Patch19)
- add a patch to select Japanese locale by default (Patch 20)
- add a patch to add "Powered by MIRACLE LINUX" on footer (Patch21)
- add a powered_by_miracle logo (Source6)
- add a ja_jp.inc.php and delete locale-ja_jp.patch (Source7, Patch15)
- add script for blocking update zabbix packages by axtu in zabbix.spec
- add php options for Japanese in zabbix-web.conf
- add a patch to allow multibyte trigger expression (Patch22)

* Fri Aug 28 2009 Takanori Suzuki <tsuzuki@miraclelinux.com> - 1.6.4-5%{?dist}
- add system.swap.in and system.swap.out patch for LVM devices and other device-mapper devices (Patch16,17)
- fix diff path in windows patch files to patch '-p1' option (Patch18)

* Mon Aug 17 2009 Kodai Terashima <terashima@miraclelinux.com> - 1.6.4-4%{?dist}
- Add a patch for fix crash windows 2000 agent (Patch16,17)

* Thu May 13 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-3%{?dist}
- Update Japanese translation (AXBug#6304, Patch15)
- modify zabbix-1.6.4-trigger_cond_multibyte_param.patch (AXBug#6306)

* Tue Apr  7 2009 Masayuki MORIYAMA <moriyama@miraclelinux.com> - 1.6.4-2%{?dist}
- merge Asianux modifications to the new package which based on 1.4.6-1.1%{?dist}
  - When updating zabbix, restart zabbix-server, zabbix-agent and zabbix-proxy
  - modify zabbix-web.conf not to be able to access zabbix-web page by default
    (AXBug#4525)
  - replace Source1
  - fix the bug that cannot choose Japanese language (Patch3, AXBug#4614)
  - modify date format for Chinese (Patch6) and Korean (Patch14) (AXBug#4801)
  - fix copyright-year in locales file(Patch7)
  - fix minor bugs related to CKJ locales(Patch9,10)
  - allow item/trigger parameter to set multibyte character(Patch11)
  - fix exhausted memory by using DB cursor(Patch12)
  - add converter from SJIS to UTF-8 for Windows Event Log(Patch13)
  - fix locale files to modify version by itself

* Mon Apr 6 2009 Yoshihiro Kagawa <ykagawa@miraclelinux.com> - 1.6.4-1
- Update to 1.6.4

* Fri Jan 23 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-2
- Rebuild for MySQL 5.1.X

* Fri Jan 16 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.2-1
- Update to 1.6.2: http://www.zabbix.com/rn1.6.2.php

* Thu Dec  4 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Fix BZ#474593 by adding a requires.

* Wed Nov  5 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6.1-1
- Update to 1.6.1

* Tue Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1.1
- Bump release because forgot to add some new files.

* Thu Sep 30 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.6-1
- Update to final 1.6

* Mon Aug 11 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.4.6-2
- Fix license tag.

* Fri Jul 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6

* Mon Jul 07 2008 Dan Horak <dan[at]danny.cz> - 1.4.5-4
- add LSB headers into init scripts
- disable internal log rotation

* Fri May 02 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-3
- Seems the zabbix folks replaced the original 1.4.5 tarball with
  an updated tarball or something -- it actually does contain a
  tiny bit of additional code... So update to newer 1.4.5.

* Tue Apr 08 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.5-2
- Fix building w/postgresql (#441456)

* Tue Mar 25 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.5-1
- Update to 1.4.5

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> - 1.4.4-2
- Bump and rebuild with gcc 4.3

* Mon Dec 17 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.4-1
- New upstream release
- Fixes two crasher bugs in 1.4.3 release

* Wed Dec 12 2007 Jarod Wilson <jwilson@redhat.com> - 1.4.3-1
- New upstream release

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.4.2-5
- Rebuild for deps

* Sat Dec 01 2007 Dan Horak <dan[at]danny.cz> 1.4.2-4
- add security fix (#407181)

* Thu Sep 20 2007 Dan Horak <dan[at]danny.cz> 1.4.2-3
- Add a patch to clean a warning during compile
- Add a patch to fix cpu load computations

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-2
- Account for binaries moving from %%_bindir to %%_sbindir

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> 1.4.2-1
- New upstream release

* Mon Jul 02 2007 Jarod Wilson <jwilson@redhat.com> 1.4.1-1
- New upstream release

* Fri Jun 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-3
- Install correct sql init files (#244991)
- Add Requires: php-bcmath to zabbix-web (#245767)

* Wed May 30 2007 Jarod Wilson <jwilson@redhat.com> 1.4-2
- Add placeholder zabbix.conf.php

* Tue May 29 2007 Jarod Wilson <jwilson@redhat.com> 1.4-1
- New upstream release

* Fri Mar 30 2007 Jarod Wilson <jwilson@redhat.com> 1.1.7-1
- New upstream release

* Wed Feb 07 2007 Jarod Wilson <jwilson@redhat.com> 1.1.6-1
- New upstream release

* Thu Feb 01 2007 Jarod Wilson <jwilson@redhat.com> 1.1.5-1
- New upstream release

* Tue Jan 02 2007 Jarod Wilson <jwilson@redhat.com> 1.1.4-5
- Add explicit R:php to zabbix-web (#220676)

* Wed Dec 13 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-4
- Fix snmp polling buffer overflow (#218065)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-3
- Rebuild for updated libnetsnmp

* Thu Nov 16 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-2
- Fix up pt_br
- Add Req-pre on useradd

* Wed Nov 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.4-1
- Update to 1.1.4

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-3
- Add BR: gnutls-devel, R: net-snmp-libs

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-2
- Fix php-pgsql Requires

* Tue Nov 14 2006 Jarod Wilson <jwilson@redhat.com> 1.1.3-1
- Update to 1.1.3

* Mon Oct 02 2006 Jarod Wilson <jwilson@redhat.com> 1.1.2-1
- Update to 1.1.2
- Enable alternate building with postgresql support

* Thu Aug 17 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-2
- Yank out Requires: mysql-server
- Add Requires: for php-gd and fping

* Tue Aug 15 2006 Jarod Wilson <jwilson@redhat.com> 1.1.1-1
- Update to 1.1.1
- More macroification
- Fix up zabbix-web Requires:
- Prep for enabling postgres support

* Thu Jul 27 2006 Jarod Wilson <jwilson@redhat.com> 1.1-2
- Add Requires: on chkconfig and service
- Remove openssl-devel from BR, mysql-devel pulls it in
- Alter scriptlets to match Fedora conventions

* Tue Jul 11 2006 Jarod Wilson <jwilson@redhat.com> 1.1-1
- Initial build for Fedora Extras
